Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class LDAPCertStoreParameters

    java.lang.Object
      java.security.cert.LDAPCertStoreParameters

All Implemented Interfaces:
  Cloneable, CertStoreParameters

    public class LDAPCertStoreParameters

extends Object
implements CertStoreParameters

Parameters used as input for the LDAP `CertStore` algorithm.

This class is used to provide necessary configuration parameters (server name and port number) to implementations of the LDAP `CertStore` algorithm.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertStore`

Constructor Summary
`LDAPCertStoreParameters()` Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).
`LDAPCertStoreParameters(String serverName)` Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.
`LDAPCertStoreParameters(String serverName, int port)` Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.

Method Summary
`Object` | `clone()` Returns a copy of this object.
`int` | `getPort()` Returns the port number of the LDAP server.
`String` | `getServerName()` Returns the DNS name of the LDAP server.
`String` | `toString()` Returns a formatted string describing the parameters.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LDAPCertStoreParameters

    public LDAPCertStoreParameters(String serverName,
                                   int port)

  Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.

  Parameters:
    `serverName` - the DNS name of the LDAP server
    `port` - the port number of the LDAP server
  Throws:
    `NullPointerException` - if `serverName` is `null`

### LDAPCertStoreParameters

    public LDAPCertStoreParameters(String serverName)

  Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.

  Parameters:
    `serverName` - the DNS name of the LDAP server
  Throws:
    `NullPointerException` - if `serverName` is `null`

### LDAPCertStoreParameters

    public LDAPCertStoreParameters()

  Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).

Method Detail

### getServerName

    public String getServerName()

  Returns the DNS name of the LDAP server.

  Returns:
    serverName the name (not `null`)

### getPort

    public int getPort()

  Returns the port number of the LDAP server.

  Returns:
    the port number

### clone

    public Object clone()

  Returns a copy of this object.

  Specified by:
    `clone` in interface `CertStoreParameters`
  Overrides:
    `clone` in class `Object`
  Returns:
    the copy

### toString

    public String toString()

  Returns a formatted string describing the parameters.

  Overrides:
    `toString` in class `Object`
  Returns:
    a formatted string describing the parameters

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005 IBM Corp. All Rights Reserved.